8086:a011 [Clevo M1100M] black screen attaching external monitor (x86_64)

Bug #756624 reported by Fabio Marconi on 2011-04-10
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xorg

Hello
If i try to attach an external monitor to this netbook, gnome crash and only the pointer is showed

From Xorg.0.log.old:

[ 2489.928] (EE) intel(0): Couldn't create pixmap for fbcon ###########
[ 2489.940] (II) intel(0): EDID vendor "HSD", prod id 1001
[ 2489.940] (II) intel(0): Printing DDC gathered Modelines:
[ 2489.940] (II) intel(0): Modeline "1024x600"x0.0 45.00 1024 1077 1112 1200 600 604 609 625 -hsync -vsync (37.5 kHz)
[ 2850.950] (II) intel(0): EDID vendor "HSD", prod id 1001
[ 2850.950] (II) intel(0): Printing DDC gathered Modelines:
[ 2850.950] (II) intel(0): Modeline "1024x600"x0.0 45.00 1024 1077 1112 1200 600 604 609 625 -hsync -vsync (37.5 kHz)
[ 2851.044] (II) intel(0): EDID vendor "HSD", prod id 1001
[ 2851.044] (II) intel(0): Printing DDC gathered Modelines:
[ 2851.044] (II) intel(0): Modeline "1024x600"x0.0 45.00 1024 1077 1112 1200 600 604 609 625 -hsync -vsync (37.5 kHz)
[ 2851.487] (WW) intel(0): Failed to set tiling on frontbuffer. ###########
[ 2851.487] (II) intel(0): Allocated new frame buffer 2432x768 stride 9728, untiled
[ 2882.339] (II) intel(0): EDID vendor "HSD", prod id 1001
[ 2882.339] (II) intel(0): Printing DDC gathered Modelines:
[ 2882.339] (II) intel(0): Modeline "1024x600"x0.0 45.00 1024 1077 1112 1200 600 604 609 625 -hsync -vsync (37.5 kHz)
[ 2884.610] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 2912.259] (II) FSPPS/2 Sentelic FingerSensingPad: Close
[ 2912.259] (II) UnloadModule: "evdev"
[ 2912.259] (II) Unloading evdev
[ 2912.259] (II) AT Translated Set 2 keyboard: Close
[ 2912.270] (II) UnloadModule: "evdev"
[ 2912.270] (II) Unloading evdev
[ 2912.270] (II) Sleep Button: Close
[ 2912.270] (II) UnloadModule: "evdev"
[ 2912.270] (II) Unloading evdev
[ 2912.270] (II) Power Button: Close
[ 2912.270] (II) UnloadModule: "evdev"
[ 2912.270] (II) Unloading evdev
[ 2912.271] (II) Video Bus: Close
[ 2912.271] (II) UnloadModule: "evdev"

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6+4ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1024x600
 edid-base64: AP///////wAiZOkD+NwAABoUAQOAFg14CoyFl1tTjicYUFQAAAABAQEBAQEBAQEBAQEBAQEBlBEAsEBYGSA1I0UA3n0AAAAZAAAA/gAAAAAAAAAAAAAAAAAAAAAA/ABIU0QxMDFQRlcyCiAgAAAAEAAKICAgICAgICAgICAgAO0=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sun Apr 10 17:10:10 2011
DistUpgraded: Log time: 2011-03-21 21:46:23.684586
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
   Subsystem: CLEVO/KAPOK Computer Device [1558:1100]
   Subsystem: CLEVO/KAPOK Computer Device [1558:1100]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110320)
Lsusb:
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: CLEVO CO. M1100M
ProcEnviron:
 LANGUAGE=it:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=109af223-b08c-43eb-8e46-2cd11eb3f86d ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xorg
UpgradeStatus: Upgraded to natty on 2011-04-07 (2 days ago)
dmi.bios.date: 09/08/2010
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: M1100M
dmi.board.vendor: CLEVO CO.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd09/08/2010:svnCLEVOCO.:pnM1100M:pvrNotApplicable:rvnCLEVOCO.:rnM1100M:rvrNotApplicable:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: M1100M
dmi.product.version: Not Applicable
dmi.sys.vendor: CLEVO CO.
version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2
version.ia32-libs: ia32-libs 20090808ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation N10 Family DMI Bridge [8086:a010]
     Subsystem: CLEVO/KAPOK Computer Device [1558:1100]
00:02.0 VGA compatible controller [0300]: Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
     Subsystem: CLEVO/KAPOK Computer Device [1558:1100]

Fabio Marconi (fabiomarconi) wrote :
description: updated
summary: - black screen attaching externel monitor
+ black screen attaching external monitor

A second attempt cause that gnome don't crash, but everything is unusable.
See attached screenshot

Fabio Marconi (fabiomarconi) wrote :

this time if I detach the external monitor, session on netbook is working

bugbot (bugbot) on 2011-04-11
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Bryce Harrington (bryce) on 2011-04-13
summary: - black screen attaching external monitor
+ [IGDgm] black screen attaching external monitor
bugbot (bugbot) on 2011-04-17
tags: added: dual-head
tags: added: black-screen
Bryce Harrington (bryce) on 2011-04-18
summary: - [IGDgm] black screen attaching external monitor
+ [IGDgm] black screen attaching external monitor (x86_64)
summary: - [IGDgm] black screen attaching external monitor (x86_64)
+ [pineviewgm] black screen attaching external monitor (x86_64)

Hi Fabio,

I don't know what causes this bug, but have some ideas. Can you do the following three tests, which should hopefully narrow down how/where this is failing?

a. Boot into "Classic Desktop (No Effects)" and see if you can reproduce the issue. (If not, this might be just a max texture size issue.)

b. Install xdiagnose, and turn on Debugging Messages (the first checkbox). Reboot the system, reproduce the bug, and then run the command 'dmesg > dmesg.txt' and attach dmesg.txt to this bug report. (This will help give better diagnositcs.)

c. Find another external monitor of a different model, and see if the issue can be reproduced with that monitor as well. (If not, then this may be an EDID issue with the particular monitor.)

Also, a few general questions I would appreciate your answers on:

* You mentioned "gnome crashed" - how are you determining that it was gnome that crashed? (I'm suspecting that actually what you saw might be a kernel gpu lockup rather than a crash).

* It looks like you upgraded on March 21st from maverick. Is this correct? Did the external monitor work properly before the upgrade? Did it ever work after the upgrade prior to when you filed this report? (I.e., is this a recent regression or a regression between maverick->natty?)

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Fabio Marconi (fabiomarconi) wrote :

Hello Bryce

I can reproduce the bug only connecting the monitor after Ubuntu is completely started.
If I boot with the monitor already attached, it works perfectly.
I have reproduced the bug with another different monitor, but just the first time that i've tried, subsequent attempts (with xdiagnose installed and then removed) it works.
I tried again the first monitor and without xdiagnose it shows the bug, i removed the monitor and the session restart regularry, i've installed again xdiagnose, rebooted ubuntu, plugged the problematic monitor and the bug is fixed

Fabio Marconi (fabiomarconi) wrote :

dmesg.txt with the problematic monitor (now working) and xdiagnose installed

Fabio Marconi (fabiomarconi) wrote :
Fabio Marconi (fabiomarconi) wrote :

Finally i can reproduce the issue, with a third monitor, with or without xdiagnose

Fabio Marconi (fabiomarconi) wrote :

here's kern.log.
at Apr22 20:35:50 I attached the external monitor

Fabio Marconi (fabiomarconi) wrote :

Reply to your questions:
I suspect gnome crash because i can use the pointer and and the keyboard (not all the times) and in tty1 all the external monitors works.
I don't have upgraded from maverick, but reinstalled (testing pourpose) natty
Found label 'Ubuntu 11.04 _Natty Narwhal_ - Alpha amd64 (20110320)
Well the third monitor still not working, so please tell me what you need.
Thanks
Fabio

Bryce Harrington (bryce) wrote :

Fabio, thanks for doing that testing, I think there might have been some confusion. xdiagnose is used for turning on debugging, merely installing it doesn't make any changes to your system; perhaps I was unclear about this.

Anyway, can you try your tests again, but this time before doing it, run the command 'xdiagnose' which will bring up a dialog with some checkboxes. Check the first one and click Apply. Then reboot your system and reproduce the issue, and collect dmesg.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Fabio Marconi (fabiomarconi) wrote :

Hello
I've installed Xdiagnose, but the version that packaged measure ~ 10MB (I don't remeber well), but the strange thing is that yesterday software center propose me the xdiagnose tool and the gui version, today it propose me just the gui version.
And I cannot believe that I fall in two coincideces with a bug automatically fixed in two monitors just after installing Xdiagnose .
Is not the case that it install some dependencies that fix the issue ?
Can also be intersting that if I launch from terminal xdiagnose it return me the failure on creating the backup for /etc/default/grub (denied permission)
https://bugs.launchpad.net/xdiagnose/+bug/769419
Now i'm going to clean the /var/log/dmesg to bring you a light dmesg with the not working monitor.

Fabio Marconi (fabiomarconi) wrote :

dmesg with ot working monitor attached at 11:23

Fabio Marconi (fabiomarconi) wrote :

var/log/kern.log

Fabio Marconi (fabiomarconi) wrote :

yes, gnome is not crashed, i can capture a screenshot (remembering positions)

Fabio Marconi (fabiomarconi) wrote :

From kern.log:
Apr 23 11:23:21 cricco kernel: [ 71.690169] [drm:intel_crt_detect], CRT detected via hotplug: i don't know if this is just a info but the monitor isn't a crt.

Bryce Harrington (bryce) wrote :

This sounds much like bug #745112 although the chipset is different.

Install and boot this kernel, and see if it fixes it:
  http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next-proposed/

If so, then install this kernel and see if it also fixes it or not:
  http://people.canonical.com/~acelan/bugs/lp753189/

If it does, then that'll narrow down what patch the kernel team needs to pull.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
bugbot (bugbot) on 2011-04-27
description: updated
Fabio Marconi (fabiomarconi) wrote :

Hell Bryce

I've installed the suggested kernel, but the issue remain, now the monitor is no more detected as crt.

Fabio Marconi (fabiomarconi) wrote :

2.6.39 kern.log

Apr 30 18:16:40 cricco kernel: [ 29.940062] [drm:intel_crt_detect], CRT not detected via hotplug
Apr 30 18:16:40 cricco kernel: [ 29.940077] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
Apr 30 18:16:40 cricco kernel: [ 73.369082] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110316/evregion-476)
Apr 30 18:16:40 cricco kernel: [ 73.369113] ACPI Error: Method parse/execution failed [\_SB_.PCI0.LPC0.EC__._Q46] (Node ffff88007bb36d48), AE_TIME (20110316/psparse-536)
Apr 30 18:16:40 cricco kernel: [ 93.507750] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110316/evregion-476)
Apr 30 18:16:40 cricco kernel: [ 93.507785] ACPI Error: Method parse/execution failed [\_SB_.PCI0.LPC0.EC__._Q46] (Node ffff88007bb36d48), AE_TIME (20110316/psparse-536)
Apr 30 18:16:40 cricco kernel: [ 132.980569] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
Apr 30 18:16:40 cricco kernel: [ 138.017091] EXT4-fs (sda5): mounted filesystem with ordered data mode. Opts: (null)
Apr 30 18:16:40 cricco kernel: [ 138.646074] ppdev: user-space parallel port driver

Fabio Marconi (fabiomarconi) wrote :

from Xorg.log:
[ 560.400] (WW) intel(0): Failed to set tiling on frontbuffer.

Fabio Marconi (fabiomarconi) wrote :

dmesg of 2.6.39

as this cannot detect any wirless (nm don't show bars, but only an empty triangle) can I consider it a valid kernel to open a bug ?
Thanks
Fabio

Fabio Marconi (fabiomarconi) wrote :

Well, I've discovered that if i set cloned monitor, the external monitor works as expected, but the resolutions are reduced to 800x600

Bryce Harrington (bryce) on 2011-05-03
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Brad Figg (brad-figg) on 2011-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Hey fabiomarconi,

You filed this bug report against natty, but I see it's still open and
doesn't appear to have much activity recently. So, now that oneiric
is released and stable, this may be a good point for you to upgrade
and re-test if this issue is still present there.

If it's solved in the new release and you think it's worth backporting
the fix, please indicate that. Or if having the fix in the new release
is good enough, feel free to close out the bug (or let us know and we'll
close it.)

If it's not solved, leave the bug report open. I can't promise we'll
get to it (we get way more bugs filed than we can usually get to), but
your testing and feedback can help out if and when we do.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
bugbot (bugbot) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Expired

Fabio Marconi, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - [pineviewgm] black screen attaching external monitor (x86_64)
+ 8086:a011 [Clevo M1100M] black screen attaching external monitor
+ (x86_64)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints